Skip to content
GET /unified/ads/ads

Query Parameters

Refer Specifying query parameters in Truto APIs

account_idstring

The unique identifier for the account.

2 supported2 required
Google Ads
required
Meta Marketing API
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Ads

idstring
required·

The unique identifier for the ad.

2 supported
Google Ads
supported
Meta Marketing API
supported
account_idstring

The unique identifier for the account.

2 supported
Google Ads
supported
Meta Marketing API
supported
ad_group_idstring

The unique identifier for the ad_group.

1 supported
Meta Marketing API
supported
bidobject

The bid for the ad.

1 supported
Meta Marketing API
supported
5 properties
adjustmentsobject

The bid adjustments for the ad.

amountstring

The bid amount for the ad.

constraintsobject

The bid constraints for the ad.

objective_valuesobject

The bid values for different objectives of the ad.

strategyobject

The bid strategy for the ad.

2 properties
idstring

The unique identifier for the bid strategy.

namestring

The name of the bid strategy.

campaign_idstring

The unique identifier for the campaign.

2 supported
Google Ads
supported
Meta Marketing API
supported
conversion_domainstring

The conversion domain for the ad.

1 supported
Meta Marketing API
supported
created_atstring · date-time

The date and time the ad was created.

1 supported
Meta Marketing API
supported
creativeobject

The creative for the ad.

1 supported
Google Ads
supported
creative_idstring[]

The unique identifier for the creative.

1 supported
Meta Marketing API
supported
issuesobject[]

The issues for the ad that prevented the ad from being delivered.

1 supported
Meta Marketing API
supported
5 properties
codestring

The code for the issue.

descriptionstring

The error summary for the issue.

levelstring

The level for the issue.

messagestring

The error message for the issue.

typestring

The type for the issue.

labelsobject[]

The labels for the ad.

2 supported
Google Ads
supported
Meta Marketing API
supported
2 properties
idstring

The unique identifier for the label.

namestring

The name of the label.

namestring

The name of the ad.

1 supported
Meta Marketing API
supported
preview_urlobject[]

The preview URL for the ad.

1 supported
Meta Marketing API
supported
2 properties
typestring

The type for the preview.

urlstring

The URL for the preview.

remote_dataRecord<string, any>

Raw data returned from the remote API call.

scheduleobject

The schedule for the ad.

1 supported
Meta Marketing API
supported
2 properties
end_timestring · date-time

The end time for the ad.

start_timestring · date-time

The start time for the ad.

statusstring

The status of the ad.

Possible values:
activepauseddeletedarchivedin_processwith_issuescampaign_pausedpending_reviewdisapprovedpreapprovedpending_billing_infoadset_paused
2 supported
Google Ads
supported
Meta Marketing API
supported
tracking_specsobject[]

The tracking specs for the ad.

1 supported
Meta Marketing API
supported
typestring

The type of the ad

2 supported
Google Ads
supported
Meta Marketing API
supported
updated_atstring · date-time

The date and time the ad was last updated.

1 supported
Meta Marketing API
supported
curl -X GET 'https://api.truto.one/unified/ads/ads?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ads/ads?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ads/ads"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'ads',
  'ads',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "ads",
        "ads",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())